<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Constructor</title>
</head>
<body>
<script>
    function Animal(name) {
        this.name = name;

        this.animalName = function() {
            console.log(this.name);
        }
    }

    var dog = new Animal("Мухтар");
    var cat = new Animal("Барсик");

    dog.animalName();
    cat.animalName();
</script>
</body>
</html>